
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <windows.h>

int main(int argc, char **argv)
{
	int i;
	char *debug_or_release = "Release";
	char *clean = "";
	char *find_pattern = "*.dsp";
	WIN32_FIND_DATA find_file_data;
	HANDLE find_file_handle;
	char project_name[1024];
	char command_line[1024];

	for (i = 1; i < argc; i++)
	{
		if (stricmp(argv[i], "release") == 0)
		{
			debug_or_release = "Release";
		}
		else if (stricmp(argv[i], "debug") == 0)
		{
			debug_or_release = "Debug";
		}
		else if (stricmp(argv[i], "clean") == 0)
		{
			clean = " clean";
		}
		else
		{
			find_pattern = argv[i];
		}
	}

	if ((find_file_handle = FindFirstFile(find_pattern, &find_file_data)) == INVALID_HANDLE_VALUE)
	{
		fprintf(stderr, "Sorry, couldn't find anything to make.\n");
		return 1;
	}

	sprintf(project_name, "%.*s", strrchr(find_file_data.cFileName, '.') - find_file_data.cFileName, find_file_data.cFileName);

	FindClose(find_file_handle);

	sprintf(command_line, "nmake /f %s.mak CFG=\"%s - Win32 %s\"%s", project_name, project_name, debug_or_release, clean);

	fprintf(stderr, "%s\n", command_line);
	system(command_line);

	return 0;
}

